Robot Simulator of the Robotics Group for Self-Organization of Control: OdeConfig Class Reference

# OdeConfig Class Reference

The class $name holds the configurable parameters of the simulation environment. More...

`#include <odeconfig.h>`

Inherits Configurable.

Collaboration diagram for OdeConfig:
[legend]

List of all members.

## Public Member Functions
| OdeConfig ()
virtual | ~OdeConfig ()
virtual long int | getRandomSeed () const
virtual void | setRandomSeed (long int randomSeed)
virtual void | setOdeHandle (const OdeHandle &odeHandle)
virtual void | setVideoRecordingMode (bool mode)
virtual void | calcAndSetDrawInterval (double Hz, double rtf)
virtual void | notifyOnChange (const paramkey &key)
| Is called when a parameter was changes via setParam().
## Public Attributes
bool | videoRecordingMode
double | simStepSize
double | motionPersistence
int | drawInterval
int | controlInterval
double | noise
double | gravity
double | cameraSpeed
OdeHandle | odeHandle
double | realTimeFactor
double | fps
## Protected Attributes
long | randomSeed
double | randomSeedCopy

## Detailed Description

The class $name holds the configurable parameters of the simulation environment.

## Constructor & Destructor Documentation

OdeConfig | ( |  | ) |

virtual ~OdeConfig | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void calcAndSetDrawInterval | ( | double | Hz,
|  | double | rtf |
| ) |  |  | `[virtual]`

virtual long int getRandomSeed | ( |  | ) | const`[inline, virtual]`

void notifyOnChange | ( | const paramkey & | key | ) | `[virtual]`

Is called when a parameter was changes via setParam().

Note that it is not called of parameters of childs are changed, then there notifyOnChange() method is called. The key and of the changed parameter (use getParam() to retrieve its actual value). Overload this function when special actions have to be taken on parameter changes.

Reimplemented from Configurable.

void setOdeHandle | ( | const OdeHandle & | odeHandle | ) | `[virtual]`

virtual void setRandomSeed | ( | long int | randomSeed | ) | `[inline, virtual]`

void setVideoRecordingMode | ( | bool | mode | ) | `[virtual]`

## Member Data Documentation

double cameraSpeed

int controlInterval

int drawInterval

double fps

double gravity

double motionPersistence

double noise

OdeHandle odeHandle

long randomSeed`[protected]`

double randomSeedCopy`[protected]`

double realTimeFactor

double simStepSize

bool videoRecordingMode

The documentation for this class was generated from the following files:

- odeconfig.h
- odeconfig.cpp